# Leo colorizer control file for texinfo mode.
# This file is in the public domain.

# Properties for texinfo mode.
properties = {
	"lineComment": "@c",
}

# Attributes dict for texinfo_main ruleset.
texinfo_main_attributes_dict = {
	"default": "null",
	"digit_re": "",
	"escape": "",
	"highlight_digits": "true",
	"ignore_case": "true",
	"no_word_sep": "",
}

# Dictionary of attributes dictionaries for texinfo mode.
attributesDictDict = {
	"texinfo_main": texinfo_main_attributes_dict,
}

# Keywords dict for texinfo_main ruleset.
texinfo_main_keywords_dict = {}

# Dictionary of keywords dictionaries for texinfo mode.
keywordsDictDict = {
	"texinfo_main": texinfo_main_keywords_dict,
}

# Rules for texinfo_main ruleset.

def texinfo_rule0(colorer, s, i):
    return colorer.match_eol_span(s, i, kind="comment1", seq="@c",
        at_line_start=False, at_whitespace_end=False, at_word_start=False,
        delegate="", exclude_match=False)

def texinfo_rule1(colorer, s, i):
    return colorer.match_eol_span(s, i, kind="comment1", seq="@comment",
        at_line_start=False, at_whitespace_end=False, at_word_start=False,
        delegate="", exclude_match=False)

def texinfo_rule2(colorer, s, i):
    return colorer.match_mark_following(s, i, kind="keyword1", pattern="@",
        at_line_start=False, at_whitespace_end=False, at_word_start=False, exclude_match=False)

def texinfo_rule3(colorer, s, i):
    return colorer.match_seq(s, i, kind="operator", seq="{",
        at_line_start=False, at_whitespace_end=False, at_word_start=False, delegate="")

def texinfo_rule4(colorer, s, i):
    return colorer.match_seq(s, i, kind="operator", seq="}",
        at_line_start=False, at_whitespace_end=False, at_word_start=False, delegate="")

# Rules dict for texinfo_main ruleset.
rulesDict1 = {
	"@": [texinfo_rule0,texinfo_rule1,texinfo_rule2,],
	"{": [texinfo_rule3,],
	"}": [texinfo_rule4,],
}

# x.rulesDictDict for texinfo mode.
rulesDictDict = {
	"texinfo_main": rulesDict1,
}

# Import dict for texinfo mode.
importDict = {}

